Draft Dessin

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Drawing and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg


Development of the Drawing Workbench stopped in FreeCAD 0.16; the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.


Draft Drawing.svg Dessin

Emplacement du menu
Draft → Dessin
Ateliers
Draft (Mise en plan), Arch module
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil permet de copier les objets sélectionnés sur une feuille de dessin. Si aucune feuille n'existe dans le document, une feuille par défaut sera créé. Cet outil fonctionne de manière similaire à l'outil Drawing View, mais est optimisé pour les objets Draft et peut rendre les objets 2D plats avec faces remplies. Il peut également gérer un couple d'objets Draft spécifiques, tels que dimensions et textes, que l'outil Drawing View ne peut pas gérer.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

Draft drawing example.jpg

Draft object and dimensions imported into a Drawing page


Utilisation

  1. Sélectionnez les objets à inclure dans la feuille de dessin.
  2. Pressez le bouton Draft Drawing.png Draft Drawing

Notes:

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Options

  • Sélectionner les objets que vous souhaitez mettre sur la feuille de dessin. L'outil fonctionnera mieux avec des objets plats 2D des modules Draft ou Sketcher.
  • Si l'objet sélectionné est un Arch SectionPlane, cet outil créera une vue supplémentaire de ce plan.
  • Dans la même sélection, ajoutez l'objet page que ou vous souhaitez dessiner vos objets. S'il n'y a aucune page existante, une nouvelle page sera créée. Si vous ne sélectionnez pas de page, et qu'il y a au moins une page dans le document, la première trouvée sera utilisé.
  • Si vous avez sélectionné une feuille existante, et, que les objets dans la sélection sont déjà sur cette feuille (par ex. pour un objet Rectangle, c'est déjà un objet ViewRectangle sur la feuille), ils seront substitués. Cela vous permet de sélectionner tous les objets, et, de les envoyer dans une page existante, qui sera tout simplement mise à jour.

Propriétés

  • DONNÉESFill Style: Pour les formes fermées, permet de spécifier un style de remplissage par défaut, ou, d'utiliser la couleur de la forme.
  • DONNÉESFont Size: Spécifie la taille de la police des textes et dimensions.
  • DONNÉESLine Width: Spécifie la largeur de ligne des objets visibles.

Script

L'outil Draft Drawing, peut être utilisé dans les macros, et, dans la console Python en utilisant la fonction suivante :

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Ajoute une vue de l'objet sélectionné dans la page donnée.
  • Retourne la vue créée de l'objet.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Exemple:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft Clone.svg Clone
Next: Mirror Draft Mirror.svg Arrow-right.svg